
(* data file h_skkdv.m *)

(* Last Updated: August 16, 2012 at 18:00 in Golden *)

(***        Sawada-Kotera FIFTH-ORDER KdV EQUATION        ***)
(*** u_t + cc(u^2 u_x) + bb(u_x u_xx) + aa(u u_3x) + u_5x ***)

bb = aa;
cc = (1/5)*aa^2;

eq[1][x,t] = D[u[1][x,t],t] + cc*u[1][x,t]^2*D[u[1][x,t],x] +
        bb*D[u[1][x,t],x]*D[u[1][x,t],{x,2}] +
        aa*u[1][x,t]*D[u[1][x,t],{x,3}] + D[u[1][x,t],{x,5}];

(* aa, bb and cc are constant parameters *)
(* matches the choice in Andrew's notes *)

noeqs = 1;
name = "Sawada-Kotera fifth-order KdV equation with parameters";

(* 
parameters = {aa};
weightpars = {};
*)

(* end of data file h_skkdv.m *)
